package digital.laboratory.platform.reagent.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import digital.laboratory.platform.common.core.util.R;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.reagent.entity.ReviewAndApprove;
import digital.laboratory.platform.reagent.service.ReviewAndApproveService;
import digital.laboratory.platform.reagent.vo.CatalogueDetailsVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.oauth2.provider.OAuth2Authentication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.security.Principal;
import java.util.List;

@RestController
@RequiredArgsConstructor
@RequestMapping("/review_and_approve")
@Api(value = "review_and_approve", tags = "审核审批列表")
public class ReviewAndApproveController {

    @Autowired
    private ReviewAndApproveService reviewAndApproveService;

    @ApiOperation(value = "审核审批列表", notes = "审核审批列表")
    @GetMapping("/page")
//    @PreAuthorize("@pms.hasPermission('reagent_purchase_catalogue_getPage')")
    public R<ReviewAndApprove> getVOpage(HttpServletRequest theHttpServletRequest) {

        Principal principal = theHttpServletRequest.getUserPrincipal();

        DLPUser dlpUser = (DLPUser) ((OAuth2Authentication) principal).getUserAuthentication().getPrincipal();

        ReviewAndApprove reviewAndApproveList = reviewAndApproveService.getReviewAndApproveList(dlpUser);

        return R.ok(reviewAndApproveList);

    }  @ApiOperation(value = "审核审批记录", notes = "审核审批记录")
    @GetMapping("/record/page")
//    @PreAuthorize("@pms.hasPermission('reagent_purchase_catalogue_getPage')")
    public R<ReviewAndApprove> getReviewAndApproveRecordList(HttpServletRequest theHttpServletRequest) {

        Principal principal = theHttpServletRequest.getUserPrincipal();

        DLPUser dlpUser = (DLPUser) ((OAuth2Authentication) principal).getUserAuthentication().getPrincipal();

        ReviewAndApprove reviewAndApproveList = reviewAndApproveService.getReviewAndApproveRecordList(dlpUser);

        return R.ok(reviewAndApproveList);

    }
}
