package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (验收内容)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe (验收内容) 实体类
 */
@Data
@TableName(value = "acceptance_content", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(验收内容)")
public class AcceptanceContent extends BaseEntity {

    /**
     * (验收记录表ID)
     */
    @ApiModelProperty(value="(验收记录表ID)")
    private String acceptanceRecordFormId;


    /**
     * (不合格项目)
     */
    @ApiModelProperty(value="(不合格项目)")
    private String nonconformingItem;

    /**
     * acceptanceContentId
     */
    @TableId(value = "acceptance_content_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="acceptanceContentId")
    private String acceptanceContentId;


}
