package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 批次明细
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe 批次明细 实体类
 */
@Data
@TableName(value = "batch_details", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "批次明细")
public class BatchDetails extends BaseEntity {

    /**
     * (批次)
     */
    @ApiModelProperty(value="(批次)")
    private Integer batch;

    /**
     * (批号)
     */
    @ApiModelProperty(value="(批号)")
    private String batchNumber;

    /**
     * (符合性检验情况)
     */
    @ApiModelProperty(value="(符合性检验情况)")
    private Boolean complianceTestSituation;

    /**
     * (上次期间核查日期)
     */
    @ApiModelProperty(value="(上次期间核查日期)")
    private LocalDateTime dateOfLastCheck;

    /**
     * (生产日期)
     */
    @ApiModelProperty(value="(生产日期)")
    private LocalDate dateOfProduction;

    /**
     * (偏差/不确定度)
     */
    @ApiModelProperty(value="(偏差/不确定度)")
    private String deviationOrUncertainty;

    /**
     * (有效日期)
     */
    @ApiModelProperty(value="(有效日期)")
    private Integer expirationDate;

    /**
     * (定值结果)
     */
    @ApiModelProperty(value="(定值结果)")
    private String fixedResult;

    /**
     * (编号)
     */
    @ApiModelProperty(value="(编号)")
    private String number;

    /**
     * (购置时间)
     */
    @ApiModelProperty(value="(购置时间)")
    private LocalDateTime purchaseTime;

    /**
     * (数量)
     */
    @ApiModelProperty(value="(数量)")
    private Integer quantity;

    /**
     * (试剂耗材库存ID)
     */
    @ApiModelProperty(value="(试剂耗材库存ID)")
    private String reagentConsumableInventoryId;

    /**
     * (使用状态)
     */
    @ApiModelProperty(value="(使用状态)")
    private Integer serviceStatus;

    /**
     * (供应商ID)
     */
    @ApiModelProperty(value="(供应商ID)")
    private String supplierId;







    /**
     * batchDetailsId
     */
    @TableId(value = "batch_details_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="batchDetailsId")
    private String batchDetailsId;


}
