package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (标准物质领用/归还登记表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:07
 * @describe (标准物质领用/归还登记表) 实体类
 */
@Data
@TableName(value = "standard_material_application", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(标准物质领用归还登记表)")
public class StandardMaterialApplication extends BaseEntity {

    /**
     * (标准物质管理员ID)
     */
    @ApiModelProperty(value="(标准物质管理员ID)")
    private String administratorId;


/**
     * (状态)
     */
    @ApiModelProperty(value="(状态)")
    private Integer status;

    /**
     * (领用日期)
     */
    @ApiModelProperty(value="(领用日期)")
    private LocalDateTime dateOfClaim;

    /**
     * (归还日期)
     */
    @ApiModelProperty(value="(归还日期)")
    private LocalDateTime dateOfReturn;

    /**
     * (用途)
     */
    @ApiModelProperty(value="(用途)")
    private Integer purpose;

    /**
     * (使用数量)
     */
    @ApiModelProperty(value="(使用数量)")
    private String  purposeAndQuantity;

    /**
     * (领用人ID)
     */
    @ApiModelProperty(value="(领用人ID)")
    private String recipientId;

    /**
     * (标准物质编号)
     */
    @ApiModelProperty(value="(标准物质编号)")
    private String referenceMaterialNumber;

    /**
     * (标准物质类ID)
     */
    @ApiModelProperty(value="(标准物质类ID)")
    private String referenceSubstanceId;

    /**
     * (标准物质ID)
     */
    @ApiModelProperty(value="(标准物质ID)")
    private String referenceMaterialId;

    /**
     * (领用数量)
     */
    @ApiModelProperty(value="(领用数量)")
    private Integer requisitionedQuantity;

    @ApiModelProperty(value="(是否归还)")
    private Integer isReturn;
    /**
     * (序号)
     */
    @ApiModelProperty(value="(序号)")
    private String serialNumber;

    /**
     * (规格)
     */
    @ApiModelProperty(value="(规格)")
    private String specification;

    /**
     * (编号)
     */
    @ApiModelProperty(value="(编号)")
    private String number;
 /**
     * (领用登记表ID)
     */
    @ApiModelProperty(value="(领用登记表ID)")
    private String applicationForUseId;

    /**
     * standardMaterialApplicationId
     */
    @TableId(value = "standard_material_application_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="standardMaterialApplicationId")
    private String standardMaterialApplicationId;

    /**
     * deliveryRegistrationFormId
     */
    @ApiModelProperty(value="出库登记表Id")
    private String deliveryRegistrationFormId;

    /**
     * requisitionRecordId
     */
    @ApiModelProperty(value="领用登记表ID")
    private String requisitionRecordId;

    /**
     * storageRegistrationFormId
     */
    @ApiModelProperty(value="入库登记表ID")
    private String storageRegistrationFormId;

    /**
     * claimCode
     */
    @ApiModelProperty(value="领取码")
    private String claimCode;


}
