package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.entity.ReagentConsumableInventory;
import digital.laboratory.platform.reagent.entity.ReferenceMaterial;
import digital.laboratory.platform.reagent.vo.ReagentConsumableInventoryFullVO;
import digital.laboratory.platform.reagent.vo.ReagentConsumableInventoryVO;

import java.util.List;

/**
 * 试剂耗材库存服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe 试剂耗材库存 服务类
 */
public interface ReagentConsumableInventoryService extends IService<ReagentConsumableInventory> {

    Page<ReagentConsumableInventoryVO> getReagentConsumableInventoryVOList(Page page,String name);

    ReagentConsumableInventory addById(String reagentConsumableId, Integer quantity);

    ReagentConsumableInventory reduceById(String reagentConsumableId, Integer quantity);

    ReferenceMaterial deactivateById(String referenceMaterialId);

    Page<ReagentConsumableInventoryFullVO> getAllList(Integer current, Integer size, QueryWrapper<ReagentConsumableInventory> qw,Integer status);

    //分页查询试剂耗材
    Page<ReagentConsumableInventoryFullVO> getAllRM(Integer current, Integer size,String reagentConsumableName);

    Page<ReagentConsumableInventoryVO> getReagentConsumableInventoryRMVOList(Page page,String reagentConsumableName);

    List<ReagentConsumableInventory> getReagentConsumableInventoryFull(QueryWrapper<ReagentConsumableInventory> qw);
}
