package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.reagent.dto.AuditAndApproveDTO;
import digital.laboratory.platform.reagent.dto.StandardMaterialApprovalFormDTO;
import digital.laboratory.platform.reagent.entity.StandardMaterialApprovalForm;
import digital.laboratory.platform.reagent.vo.StandardMaterialApprovalFormVO;

/**
 * (标准物质停用/报废销毁/恢复/降级使用审批表)服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (标准物质停用/报废销毁/恢复/降级使用审批表) 服务类
 */
public interface StandardMaterialApprovalFormService extends IService<StandardMaterialApprovalForm> {

    StandardMaterialApprovalForm commitById (StandardMaterialApprovalFormDTO standardMaterialApprovalFormDTO, DLPUser dlpUser);
    IPage<StandardMaterialApprovalFormVO> getVOPage(IPage<StandardMaterialApprovalForm> page, QueryWrapper<StandardMaterialApprovalForm> qw);

    StandardMaterialApprovalFormVO getVO(String standardMaterialApprovalFormId);

    StandardMaterialApprovalForm auditPrimary(AuditAndApproveDTO auditAndApproveDTO, DLPUser dlpUser);

    //二级审核
    StandardMaterialApprovalForm auditSecondary(AuditAndApproveDTO auditAndApproveDTO, DLPUser dlpUser);

    //审批
    StandardMaterialApprovalForm approveById(AuditAndApproveDTO auditAndApproveDTO, DLPUser dlpUser);
}
