package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.reagent.dto.WarehousingRecordFormDTO;
import digital.laboratory.platform.reagent.entity.WarehousingBatchList;
import digital.laboratory.platform.reagent.entity.WarehousingRecordForm;
import digital.laboratory.platform.reagent.vo.WarehousingRecordFormVO;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 签收记录表服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe 签收记录表 服务类
 */
public interface WarehousingRecordFormService extends IService<WarehousingRecordForm> {
//    IPage<SigningRecordFormVO> getSigningRecordFormVOPage (IPage<SigningRecordForm> page, QueryWrapper<SigningRecordForm> qw);

//    List<SigningRecordFormVO> getSigningRecordFormVOList (QueryWrapper<SigningRecordForm> qw);

    WarehousingRecordFormVO getWarehousingRecordFormVO (String warehousingFormId);
    @Transactional
    WarehousingRecordFormVO addFormById(List<WarehousingRecordFormDTO> warehousingRecordFormDTOList, DLPUser dlpUser);
    Page<WarehousingRecordFormVO> getWarehousingRecordFormVOList(Page page);
}
