package digital.laboratory.platform.reagent.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.reagent.entity.CabinetForm;
import digital.laboratory.platform.reagent.entity.LatticeForm;
import digital.laboratory.platform.reagent.entity.StorageRoomForm;
import digital.laboratory.platform.reagent.mapper.LatticeFormMapper;
import digital.laboratory.platform.reagent.service.CabinetFormService;
import digital.laboratory.platform.reagent.service.LatticeFormService;
import digital.laboratory.platform.reagent.service.StorageRoomFormService;
import digital.laboratory.platform.reagent.vo.LocationVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 服务实现类
 *
 * @author Zhang Xiaolong created at  2023-03-22
 * @describe  服务实现类
 */
@Service
public class LatticeFormServiceImpl extends ServiceImpl<LatticeFormMapper, LatticeForm> implements LatticeFormService {

    @Autowired
    private LatticeFormService latticeFormService;

    @Autowired
    private CabinetFormService cabinetFormService;

    @Autowired
    private StorageRoomFormService storageRoomFormService;
    @Override
    public LocationVO getLocationById(String latticeFormId){

        LatticeForm latticeForm = latticeFormService.getById(latticeFormId);

        CabinetForm cabinetForm = cabinetFormService.getById(latticeForm.getCabinetFormId());

        StorageRoomForm storageRoomForm = storageRoomFormService.getById(cabinetForm.getStorageRoomFormId());

        LocationVO locationVO = new LocationVO();

        locationVO.setLatticeFormNumber(latticeForm.getNumber());
        locationVO.setCabinetFormType(cabinetForm.getType());
        locationVO.setCabinetFormNumber(cabinetForm.getNumber());
        locationVO.setStorageRoomFormName(storageRoomForm.getName());

        return locationVO;
    }

}
