package digital.laboratory.platform.reagent.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.reagent.entity.PeriodVerificationPlan;
import digital.laboratory.platform.reagent.entity.ReagentConsumables;
import digital.laboratory.platform.reagent.entity.ReferenceMaterial;
import digital.laboratory.platform.reagent.mapper.PeriodVerificationPlanMapper;
import digital.laboratory.platform.reagent.service.PeriodVerificationPlanService;
import digital.laboratory.platform.reagent.service.ReagentConsumablesService;
import digital.laboratory.platform.reagent.service.ReferenceMaterialService;
import digital.laboratory.platform.reagent.vo.PeriodVerificationPlanVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * (标准物质期间核查计划和确认表)服务实现类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (标准物质期间核查计划和确认表) 服务实现类
 */
@Service
public class PeriodVerificationPlanServiceImpl extends ServiceImpl<PeriodVerificationPlanMapper, PeriodVerificationPlan> implements PeriodVerificationPlanService {

    @Autowired
    private ReagentConsumablesService reagentConsumablesService;

    @Autowired
    private ReferenceMaterialService referenceMaterialService;
    @Override
    public List<PeriodVerificationPlanVO> getPeriodVerificationPlanVOList(String checkScheduleId){

        List<PeriodVerificationPlanVO> periodVerificationPlanVOPage = baseMapper.getPeriodVerificationPlanVOList(checkScheduleId);

        for (PeriodVerificationPlanVO periodVerificationPlanVO : periodVerificationPlanVOPage) {

            ReferenceMaterial byId = referenceMaterialService.getById(periodVerificationPlanVO.getReferenceMaterialId());

            ReagentConsumables byId1 = reagentConsumablesService.getById(byId.getReagentConsumableId());

            periodVerificationPlanVO.setReferenceMaterialName(byId1.getReagentConsumableName());

        }

        return periodVerificationPlanVOPage;
    }

    @Override
    public IPage<PeriodVerificationPlanVO> getPeriodVerificationPlanVOPage(Page<PeriodVerificationPlan> page, QueryWrapper<PeriodVerificationPlan> qw){

        IPage<PeriodVerificationPlanVO> periodVerificationPlanVOPage = baseMapper.getPeriodVerificationPlanVOPage(page, qw);

        return periodVerificationPlanVOPage;
    }







}
